Get a repository image
GET
https://api.vercel.com/v1/vcr/repository/{idOrName}/images/{imageIdOrDigest}Fetch an individual image from a repository, including its tags and Dockerfile history entries with discriminated layer details for UI rendering. The image may be addressed by its internal id (
image_...) or by its manifest digest (sha256:...).Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.vcr.getRepositoryImage({ projectId: "<id>", idOrName: "<value>", imageIdOrDigest: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "image": { "arch": "amd64", "createdAt": "2026-06-30T10:00:00.000Z", "id": "img_a1b2c3d4e5f6", "kind": "attestation", "layers": [ { "createdBy": "string", "digest": "string", "operation": "ADD", "sizeBytes": "123", "baseImage": "string", "collapsedDigests": [], "collapsedLayerCount": "123", "type": "FROM" } ], "manifestDigest": "sha256:2c4e8f3a1b9d0e5c7a6f4b2d8e1c9a0b3d5f7e9c1a2b4d6f8e0c2a4b6d8f0e2c", "platform": "linux", "pushedBy": "string", "repositoryId": "repo_a1b2c3d4e5f6", "sizeInBytes": "123", "status": "errored", "tags": [] }}AuthorizationbearerToken
Default authentication mechanism